Submit a share event
curl --request POST \
--url https://{brand}.extole.io/api/v4/events/share \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"campaign_id": "campaign_id",
"consumer_event": {
"campaign_id": "campaign_id",
"channel": "channel",
"origin_event_id": 1,
"parameters": {
"parameters_key": "parameters_key"
},
"product_id": "product_id",
"recipient_emails": [
"recipient_email"
],
"site_host_id": "site_host_id",
"source": "source",
"source_url": "source_url",
"via_zone": "via_zone",
"zone_name": "zone_name"
},
"data": {
"data_key": "data_key"
},
"message": "message",
"recipient_email": "recipient_email",
"shareable_id": "shareable_id"
}
'import requests
url = "https://{brand}.extole.io/api/v4/events/share"
payload = {
"campaign_id": "campaign_id",
"consumer_event": {
"campaign_id": "campaign_id",
"channel": "channel",
"origin_event_id": 1,
"parameters": { "parameters_key": "parameters_key" },
"product_id": "product_id",
"recipient_emails": ["recipient_email"],
"site_host_id": "site_host_id",
"source": "source",
"source_url": "source_url",
"via_zone": "via_zone",
"zone_name": "zone_name"
},
"data": { "data_key": "data_key" },
"message": "message",
"recipient_email": "recipient_email",
"shareable_id": "shareable_id"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
campaign_id: 'campaign_id',
consumer_event: {
campaign_id: 'campaign_id',
channel: 'channel',
origin_event_id: 1,
parameters: {parameters_key: 'parameters_key'},
product_id: 'product_id',
recipient_emails: ['recipient_email'],
site_host_id: 'site_host_id',
source: 'source',
source_url: 'source_url',
via_zone: 'via_zone',
zone_name: 'zone_name'
},
data: {data_key: 'data_key'},
message: 'message',
recipient_email: 'recipient_email',
shareable_id: 'shareable_id'
})
};
fetch('https://{brand}.extole.io/api/v4/events/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"polling_id": "<string>",
"share_id": "<string>"
}Profiles
Submit a share event
deprecated
Deprecated. Use POST /api/v6/email/share instead. Records a share event on behalf of the authenticated advocate and returns a polling_id for status polling.
POST
/
api
/
v4
/
events
/
share
Submit a share event
Authorizations
HEADERQUERYCOOKIE
Body
application/json
⌘I
